Index: branches/HTM-12.2-dev2-HHI/source/App/TAppEncoder/TAppEncCfg.cpp
===================================================================
--- branches/HTM-12.2-dev2-HHI/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 1106)
+++ branches/HTM-12.2-dev2-HHI/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 1107)
@@ -2656,6 +2656,6 @@
 
 
-  printf( "IvMvPred:%d %d "    , m_ivMvPredFlag[0], m_ivMvPredFlag[1] );
-  printf( "IvMvScaling:%d %d "    , m_ivMvScalingFlag[0], m_ivMvScalingFlag[1] );
+  printf( "IvMvPred:%d %d "            , m_ivMvPredFlag[0] ? 1 : 0, m_ivMvPredFlag[1]  ? 1 : 0);
+  printf( "IvMvScaling:%d %d "         , m_ivMvScalingFlag[0] ? 1 : 0 , m_ivMvScalingFlag[1]  ? 1 : 0);
 
   printf( "Log2SubPbSizeMinus3:%d "    , m_log2SubPbSizeMinus3            );
Index: branches/HTM-12.2-dev2-HHI/source/Lib/TLibCommon/TComSlice.cpp
===================================================================
--- branches/HTM-12.2-dev2-HHI/source/Lib/TLibCommon/TComSlice.cpp	(revision 1106)
+++ branches/HTM-12.2-dev2-HHI/source/Lib/TLibCommon/TComSlice.cpp	(revision 1107)
@@ -4026,5 +4026,5 @@
 #if H_3D_IV_MERGE
 #if HHI_TOOL_PARAMETERS_I2_J0107
-  setupLUT = setupLUT || getIvMvPredFlag() && getIsDepth() ;
+  setupLUT = setupLUT || ( getIvMvPredFlag() && getIsDepth() );
 #else
   setupLUT = setupLUT || ( getVPS()->getIvMvPredFlag(layerIdInVPS ) && getIsDepth() );
Index: branches/HTM-12.2-dev2-HHI/source/Lib/TLibDecoder/TDecSbac.cpp
===================================================================
--- branches/HTM-12.2-dev2-HHI/source/Lib/TLibDecoder/TDecSbac.cpp	(revision 1106)
+++ branches/HTM-12.2-dev2-HHI/source/Lib/TLibDecoder/TDecSbac.cpp	(revision 1107)
@@ -702,8 +702,9 @@
   Bool bParseSplitFlag    = true;
 
-  TComVPS *vps           = pcCU->getPic()->getSlice(0)->getVPS();
+  
 #if HHI_TOOL_PARAMETERS_I2_J0107
   Bool    bLimQtPredFlag = pcCU->getPic()->getSlice(0)->getQtPredFlag();
 #else
+  TComVPS *vps           = pcCU->getPic()->getSlice(0)->getVPS();
   Bool    bLimQtPredFlag = vps->getLimQtPredFlag(pcCU->getPic()->getSlice(0)->getLayerId());
 #endif
@@ -760,8 +761,9 @@
 #if H_3D_QTLPC
   Bool bParsePartSize    = true;
-  TComVPS *vps           = pcCU->getPic()->getSlice(0)->getVPS();
+  
 #if HHI_TOOL_PARAMETERS_I2_J0107
   Bool    bLimQtPredFlag = pcCU->getPic()->getSlice(0)->getQtPredFlag();
 #else
+  TComVPS *vps           = pcCU->getPic()->getSlice(0)->getVPS();
   Bool    bLimQtPredFlag = vps->getLimQtPredFlag(pcCU->getPic()->getSlice(0)->getLayerId());
 #endif
Index: branches/HTM-12.2-dev2-HHI/source/Lib/TLibEncoder/TEncCu.cpp
===================================================================
--- branches/HTM-12.2-dev2-HHI/source/Lib/TLibEncoder/TEncCu.cpp	(revision 1106)
+++ branches/HTM-12.2-dev2-HHI/source/Lib/TLibEncoder/TEncCu.cpp	(revision 1107)
@@ -409,8 +409,8 @@
 
 #if H_3D_QTLPC
-  TComVPS *vps            = pcPic->getSlice(0)->getVPS();
 #if HHI_TOOL_PARAMETERS_I2_J0107
   Bool  bLimQtPredFalg    = pcPic->getSlice(0)->getQtPredFlag(); 
 #else
+    TComVPS *vps            = pcPic->getSlice(0)->getVPS();
   Bool  bLimQtPredFalg    = vps->getLimQtPredFlag(pcPic->getSlice(0)->getLayerId()); 
 #endif
@@ -2204,5 +2204,7 @@
   UChar uhDepth = rpcTempCU->getDepth( 0 );
 #if H_3D_ARP
+#if !HHI_TOOL_PARAMETERS_I2_J0107
   Int iLayerId    = rpcTempCU->getSlice()->getLayerId();
+#endif
   Bool bFirstTime = true;
   Int nARPWMax    = rpcTempCU->getSlice()->getARPStepNum() - 1;
Index: branches/HTM-12.2-dev2-HHI/source/Lib/TLibEncoder/TEncSbac.cpp
===================================================================
--- branches/HTM-12.2-dev2-HHI/source/Lib/TLibEncoder/TEncSbac.cpp	(revision 1106)
+++ branches/HTM-12.2-dev2-HHI/source/Lib/TLibEncoder/TEncSbac.cpp	(revision 1107)
@@ -633,8 +633,8 @@
   PartSize eSize         = pcCU->getPartitionSize( uiAbsPartIdx );
 #if H_3D_QTLPC
-  TComVPS *vps           = pcCU->getPic()->getSlice(0)->getVPS();
 #if HHI_TOOL_PARAMETERS_I2_J0107
   Bool    bLimQtPredFlag = pcCU->getPic()->getSlice(0)->getQtPredFlag();
 #else
+  TComVPS *vps           = pcCU->getPic()->getSlice(0)->getVPS();
   Bool    bLimQtPredFlag = vps->getLimQtPredFlag(pcCU->getPic()->getSlice(0)->getLayerId());
 #endif
@@ -1010,8 +1010,9 @@
   Bool bCodeSplitFlag    = true;
 
-  TComVPS *vps           = pcCU->getPic()->getSlice(0)->getVPS();
+  
 #if HHI_TOOL_PARAMETERS_I2_J0107
   Bool    bLimQtPredFlag = pcCU->getPic()->getSlice(0)->getQtPredFlag(); 
 #else
+  TComVPS *vps           = pcCU->getPic()->getSlice(0)->getVPS();
   Bool    bLimQtPredFlag = vps->getLimQtPredFlag(pcCU->getPic()->getSlice(0)->getLayerId());
 #endif
Index: branches/HTM-12.2-dev2-HHI/source/Lib/TLibExtractor/TExtrTop.cpp
===================================================================
--- branches/HTM-12.2-dev2-HHI/source/Lib/TLibExtractor/TExtrTop.cpp	(revision 1106)
+++ branches/HTM-12.2-dev2-HHI/source/Lib/TLibExtractor/TExtrTop.cpp	(revision 1107)
@@ -73,8 +73,9 @@
      TComSPS     cSPS;
 #if H_3D
-     Int layerIdInVPS = m_cVPS.getLayerIdInVps( uiLayerId ); 
+
 #if HHI_TOOL_PARAMETERS_I2_J0107
      m_cEntropyDecoder   .decodeSPS( &cSPS );
 #else
+      Int layerIdInVPS = m_cVPS.getLayerIdInVps( uiLayerId ); 
      m_cEntropyDecoder   .decodeSPS( &cSPS, m_cVPS.getViewIndex( layerIdInVPS ), ( m_cVPS.getDepthId( layerIdInVPS ) == 1 ) );
 #endif
